net.dontdrinkandroot.wicket.bootstrap.css

## Enum FontAwesomeIconClass

- java.lang.Object
- - java.lang.Enum<FontAwesomeIconClass>
  - - net.dontdrinkandroot.wicket.bootstrap.css.FontAwesomeIconClass

All Implemented Interfaces:
  Serializable, Comparable<FontAwesomeIconClass>, net.dontdrinkandroot.wicket.css.CssClass

    public enum FontAwesomeIconClass
    extends Enum<FontAwesomeIconClass>
    implements net.dontdrinkandroot.wicket.css.CssClass

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`ASTERISK`
`CHECK`
`LOCK`
`PENCIL`
`PLUS`
`POWER_OFF`
`TRASH`

### Method Summary

Methods
`String` `getClassString()`
`static FontAwesomeIconClass` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static FontAwesomeIconClass[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### ASTERISK

    public static final FontAwesomeIconClass ASTERISK

#### CHECK

    public static final FontAwesomeIconClass CHECK

#### LOCK

    public static final FontAwesomeIconClass LOCK

#### PENCIL

    public static final FontAwesomeIconClass PENCIL

#### PLUS

    public static final FontAwesomeIconClass PLUS

#### POWER_OFF

    public static final FontAwesomeIconClass POWER_OFF

#### TRASH

    public static final FontAwesomeIconClass TRASH

### Method Detail

#### values

    public static FontAwesomeIconClass[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (FontAwesomeIconClass c : FontAwesomeIconClass.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static FontAwesomeIconClass valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### getClassString

    public String getClassString()

Specified by:
  `getClassString` in interface `net.dontdrinkandroot.wicket.css.CssClass`